<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class BotModeSelectionMetadata extends \Google\Protobuf\Internal\Message
{
    


    private $mode;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getMode()
    {
        return $this->mode;
    }

    




    public function setMode($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::ENUM, \PhpWA\Protocol\Proto\BotModeSelectionMetadata\BotUserSelectionMode::class);
        $this->mode = $arr;

        return $this;
    }

}

